Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.pagecompile
Interface PageCompiler

All Known Implementing Classes:
  JDKCompiler

public abstract interface PageCompiler

Method Summary
`boolean` | `compile(java.lang.String[] args, java.io.OutputStream out)` compile some files.

Method Detail

### compile

    public boolean compile(java.lang.String[] args,
                           java.io.OutputStream out)

  compile some files.
  Parameters:
    `args` - The compiler arguments (files+options)
    `out` - The outputStream, the compiler will write its output in it.
  Returns:
    false if compilation failed.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD